import 'package:fis_ui/index.dart';
import 'package:flutter/cupertino.dart';
import 'package:flyinsono/architecture/define.dart';
import 'package:flyinsono/pages/user/user_device/controller.dart';

///设备信息一行显示
///title: 标题
///value: 值
class DeviceInfoItemLine extends FisView<DeviceController> {
  DeviceInfoItemLine(this.title, this.value);
  final String title;
  final String value;

  @override
  FWidget build(BuildContext context) {
    final titleStyle = TextStyle(
      fontSize: 16,
      fontWeight: FontWeight.bold,
    );
    final textStyle = TextStyle(
      fontSize: 16,
    );
    return FRow(
      children: [
        FContainer(
          margin: EdgeInsets.only(left: 30),
          width: 200,
          child: FText(title, style: titleStyle),
        ),
        FText(
          value,
          style: textStyle,
        ),
      ],
    );
  }
}
